.form-group{
    label:not(.error){
    	font-weight: 500;

    	span.required{
    		color: #E00000;
    	}
    }
    .form-control {
        padding: 0.8rem 0.8rem;
        border-radius: 2px;
        border-color: #dedede;
        background-color: #fdfdfd;
        
        &:disabled,
        &[readonly]{
            background-color: #e9ecef;
            opacity: 1;
        }
        &.valid{
            border-color: $success !important;
        }
        &.error{
            border-color: $danger !important;
        }
    }
    .input-group{
        .input-group-addon{
            padding: 0.8rem 0.8rem;
            background-color: #fff;
            border-radius: 0;
            border-width: 1px;
            box-shadow: none;
            border-color: #dedede;
            color: lighten($primary, 20%);

            &:first-child{
                border-right: 0;
            }
            &:last-child{
                border-left: 0;
            }

            /**
             * Style
             */
            &.addon-primary{
                color: #fff;
                background-color: $primary;
                border-color: $primary;
            }
            &.addon-info{
                color: #fff;
                background-color: $info;
                border-color: $info;
            }
            &.addon-success{
                color: #fff;
                background-color: $success;
                border-color: $success;
            }
            &.addon-danger{
                color: #fff;
                background-color: $danger;
                border-color: $danger;
            }
            &.addon-warning{
                color: #fff;
                background-color: $warning;
                border-color: $warning;
            }
        }
        .input-group-btn{
            z-index: 4;

            .btn{
                padding: 0.8rem 0.8rem;
            }
        }
        .form-control{
            border-width: 1px;
            box-shadow: none;
            border-color: #dedede;
            padding-left: 1rem;
            padding-right: 1rem;

            &:first-child{
                border-right: 0;
            }
            &:last-child{
                border-left: 0;
            }
            &:nth-child(2):not(:last-child){
                border-left: 0;
                border-right: 0;
            }
        }
    }
    .help-block{
        color: #999999;
        display: block;
    }
    &.has-error{
        color: #E00000;

        .help-block{
            color: #E00000;
            font-style: italic;
        }
        .form-control{
            border-color: #E00000;
        }
    }
}
.error{
    color: #E00000;
}
.invalid-feedback{
    display: block;
}